--- a/arch/mips/bcm63xx/boards/board_bcm963xx.c
+++ b/arch/mips/bcm63xx/boards/board_bcm963xx.c
@@ -1734,6 +1734,51 @@ static struct board_info __initdata boar
  * known 6368 boards
  */
 #ifdef CONFIG_BCM63XX_CPU_6368
+static struct board_info __initdata board_AV4202N = {
+	.name				= "96368_Swiss_S1",
+	.expected_cpu_id		= 0x6368,
+
+	.has_pci			= 1,
+	.has_ohci0			= 1,
+	.has_ehci0			= 1,
+	.num_usbh_ports			= 2,
+
+	.has_enetsw			= 1,
+	.enetsw = {
+		.used_ports = {
+			[0] = {
+				.used	= 1,
+				.phy_id	= 1,
+				.name	= "port1",
+			},
+
+			[1] = {
+				.used	= 1,
+				.phy_id	= 2,
+				.name	= "port2",
+			},
+
+			[2] = {
+				.used	= 1,
+				.phy_id	= 3,
+				.name	= "port3",
+			},
+
+			[3] = {
+				.used	= 1,
+				.phy_id	= 4,
+				.name	= "port4",
+			},
+		},
+	},
+	.use_fallback_sprom	= 1,
+	.fallback_sprom = {
+		.pci_bus		= 0,
+		.pci_dev		= 1,
+	},
+
+};
+
 static struct board_info __initdata board_96368mvwg = {
 	.name				= "96368MVWG",
 	.expected_cpu_id		= 0x6368,
@@ -2447,6 +2492,7 @@ static const struct board_info __initcon
 #endif
 
 #ifdef CONFIG_BCM63XX_CPU_6368
+	&board_AV4202N,
 	&board_96368mvwg,
 	&board_96368mvngr,
 	&board_DGND3700v1_3800B,
@@ -2554,6 +2600,7 @@ static struct of_device_id const bcm963x
 	{ .compatible = "sfr,nb6-ser-r0", .data = &board_nb6, },
 #endif
 #ifdef CONFIG_BCM63XX_CPU_6368
+	{ .compatible = "adb,av4202n", .data = &board_AV4202N, },
 	{ .compatible = "brcm,bcm96368mvngr", .data = &board_96368mvngr, },
 	{ .compatible = "brcm,bcm96368mvwg", .data = &board_96368mvwg, },
 	{ .compatible = "comtrend,vr-3025u", .data = &board_VR3025u, },
